Excessive memory usage by new ImageMagick when scaling JPEGs
Closed, ResolvedPublic

Description

Author: cuerden

Description:
http://commons.wikimedia.org/wiki/File:Midsummer_Night%27s_Dream_Henry_Fuseli2.jpg

This won't thumbnail if you put your preferences to 1200px wide. It will thumbnail at lower resolutions than that.


Version: unspecified
Severity: blocker

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz24824.
bzimport created this task.Via LegacyAug 17 2010, 6:47 AM
bzimport added a comment.Via ConduitAug 17 2010, 6:57 AM

overlordq wrote:

I just checked my preferences page and thumbnail sizes only goes up to 300px. I have no clue where you're getting 1200 from.

bzimport added a comment.Via ConduitAug 17 2010, 10:25 AM

cuerden wrote:

(In reply to comment #1)

I just checked my preferences page and thumbnail sizes only goes up to 300px. I
have no clue where you're getting 1200 from.

Sorry, I wasn't entirely clear:
The relevant preference is "Image Size Limit", which is what it's called on the Preference page. The file description page uses the thumbnailer to generate the image seen based on that preference, meaning that the maximum size the thumbnailer can handle needs to be over 1280x1024, the highest option available there.

bzimport added a comment.Via ConduitAug 17 2010, 10:33 AM

cuerden wrote:

At a rough guess, someone (fairly recently, since we have lots of working ones) set the thumbnailer to have a max size of one megapixel, forgetting it's used on file description pages too.

1.5 or, if some extra leeway is desired, 2 megapixels should be ample to cover all cases.

kaldari added a comment.Via ConduitAug 17 2010, 9:01 PM

Perhaps it's a memory limit or a timeout. I can generate 3 megapixel thumbs for other images:
http://upload.wikimedia.org/wikipedia/commons/thumb/3/32/Polemonium_reptans_2009.jpg/2000px-Polemonium_reptans_2009.jpg

Bawolff added a comment.Via ConduitAug 17 2010, 10:13 PM

based on timing, perhaps related to Bug 19960 's fix.

As an interesting note, http://upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Midsummer_Night%27s_Dream_Henry_Fuseli2.jpg/2528px-Midsummer_Night%27s_Dream_Henry_Fuseli2.jpg 2528px and higher seems work, and 2228px ( http://upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Midsummer_Night%27s_Dream_Henry_Fuseli2.jpg/2228px-Midsummer_Night%27s_Dream_Henry_Fuseli2.jpg ) gives a different error message:

"Error creating thumbnail: convert: Output file write error --- out of disk space? `/mnt/thumbs/wikipedia/commons/thumb/d/d7/Midsummer_Night's_Dream_Henry_Fuseli2.jpg/2228px-Midsummer_Night's_Dream_Henry_Fuseli2.jpg' @ error/jpeg.c/EmitMessage/235."

(compared to the 1200px one which gives no error).

bzimport added a comment.Via ConduitAug 18 2010, 2:47 AM

cuerden wrote:

Has the sharpening of JPEGs gotten turned off? New thumbnails look VERY soft, e.g. http://upload.wikimedia.org/wikipedia/commons/thumb/3/37/Benjamin_West_-_William_Woollett_-_The_Battle_at_La_Hogue.jpg/400px-Benjamin_West_-_William_Woollett_-_The_Battle_at_La_Hogue.jpg which is nearly unusable.

Peachey88 added a comment.Via ConduitAug 18 2010, 3:03 AM

(In reply to comment #6)

Has the sharpening of JPEGs gotten turned off? New thumbnails look VERY soft,
e.g.
http://upload.wikimedia.org/wikipedia/commons/thumb/3/37/Benjamin_West_-_William_Woollett_-_The_Battle_at_La_Hogue.jpg/400px-Benjamin_West_-_William_Woollett_-_The_Battle_at_La_Hogue.jpg

which is nearly unusable.

That has no relation to this bug report, Please open a new one to address this, instead of just hopping between different bug reports.

kaldari added a comment.Via ConduitAug 18 2010, 5:33 PM

I've created a new bug for the sharpness issue, bug 24857.

bzimport added a comment.Via ConduitAug 22 2010, 10:58 AM

test5555 wrote:

"thumbnails of large images have disappeared" (bug 24834) seems related

Alex_brollo added a comment.Via ConduitAug 22 2010, 12:36 PM

Djvu file don't run too now.

bzimport added a comment.Via ConduitAug 22 2010, 10:14 PM

kbroszko wrote:

(In reply to comment #2)

(In reply to comment #1)
> I just checked my preferences page and thumbnail sizes only goes up to 300px. I

The same in my case above 300px the image disapears. "Nicene oxyrpapiry.jpg"

bzimport added a comment.Via ConduitAug 22 2010, 10:54 PM

v85.wikipedia wrote:

(In reply to comment #10)

Djvu file don't run too now.

As Wikisource relies on displaying the separate pages of DjVu files for proofreading of texts, Wikisource would seem particularly affected by this error.

tstarling added a comment.Via ConduitAug 24 2010, 7:54 AM

Fixed with live patch: using -resize before -thumbnail reduces memory usage by half.

tstarling added a comment.Via ConduitAug 24 2010, 8:57 AM

Reverted that live patch and applied r71547 instead, which is even better at reducing memory usage for JPEGs. Adjusted summary so that I can dupe bug 24834 to this, since it appears to be identical.

tstarling added a comment.Via ConduitAug 24 2010, 8:58 AM
  • Bug 24834 has been marked as a duplicate of this bug. ***
Gilles added a project: Multimedia.Via WebDec 4 2014, 10:44 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment